<script setup lang="ts">
import { onLaunch, onShow, onHide } from "@dcloudio/uni-app";

onLaunch(() => {
  //隐藏官方的tabBar
  // #ifdef MP-ALIPAY
  my.hideTabBar({
    animation: false, // 是否需要动画效果，alipay 1.95.0支持此参数
    success: (res) => {
      // 隐藏成功的回调
      console.log("TabBar has been hidden", res);
    },
    fail: (err) => {
      // 隐藏失败的回调
      console.error("Failed to hide TabBar", err);
    },
  });
  // #endif

  // #ifndef MP-ALIPAY
  uni.hideTabBar();
  // #endif
});
onShow(() => {
  console.log("App Show");
});
onHide(() => {
  console.log("App Hide");
});
</script>

<style lang="scss">
/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
@import "uview-plus/index.scss";
body {
  font-size: 12px;
}
</style>
